$(function () {
	var pushy = $('.pushy'),
	body = $('body'),
	container = $('#container'),
	push = $('.push'),
	siteOverlay = $('.site-overlay'),
	pushyClass = 'pushy-left pushy-open',
	pushyActiveClass = 'pushy-active',
	containerClass = 'container-push',
	pushClass = 'push-push',
	menuBtn = $('.menu-btn'),
	menuSpeed = 200,
	menuWidth = pushy.outerWidth() + 'px';
	function togglePushy() {
		body.toggleClass(pushyActiveClass);
		pushy.toggleClass(pushyClass);
		container.toggleClass(containerClass);
		push.toggleClass(pushClass);
	}
	function openPushyFallback() {
		// body.addClass(pushyActiveClass);
		togglePushy();
		pushy.animate({
			left: '0px'
		}, menuSpeed);
		container.animate({
			left: menuWidth
		}, menuSpeed);
		push.animate({
			left: menuWidth
		}, menuSpeed);
	}
	function closePushyFallback() {
		// body.removeClass(pushyActiveClass);
		togglePushy()
		pushy.animate({
			left: '-' + menuWidth
		}, menuSpeed);
		container.animate({
			left: '0px'
		}, menuSpeed);
		push.animate({
			left: '0px'
		}, menuSpeed);
	}
	cssTransforms3d = (function csstransforms3d() {
		var el = document.createElement('p'),
		supported = false,
		transforms = {
			'webkitTransform': '-webkit-transform',
			'OTransform': '-o-transform',
			'msTransform': '-ms-transform',
			'MozTransform': '-moz-transform',
			'transform': 'transform'
		};
		document.body.insertBefore(el, null);
		for (var t in transforms) {
			if (el.style[t] !== undefined) {
				el.style[t] = 'translate3d(1px, 1px, 1px)';
				// supported = window.getComputedStyle(el).getPropertyValue(transforms[t]);
			}
		}
		document.body.removeChild(el);
		return (supported !== undefined && supported.length > 0 && supported !== 'none');
	}) ();
	if (cssTransforms3d) {
		menuBtn.click(function () {
			togglePushy();
		});
		siteOverlay.click(function () {
			togglePushy();
		});
	} else {
		pushy.css({
			left: '-' + menuWidth
		});
		container.css({
			'overflow-x': 'hidden'
		});
		var state = true;
		menuBtn.click(function () {
			if (state) {
				openPushyFallback();
				state = false;
			} else {
				closePushyFallback();
				state = true;
			}
		});
		siteOverlay.click(function () {
			if (state) {
				openPushyFallback();
				state = false;
			} else {
				closePushyFallback();
				state = true;
			}
		});
	}
});
$(function () {
	var pushy2 = $('.pushy2'),
	body = $('body'),
	container = $('#container'),
	push = $('.push'),
	siteOverlay = $('.site-overlay2'),
	pushyClass = 'pushy-r pushy-open',
	pushyActiveClass = 'pushy-active2',
	containerClass = 'container-push2',
	pushClass = 'push-push',
	menuBtn2 = $('.menu-btn2'),
	menuSpeed = 200,
	menuWidth2 = pushy2.outerWidth() + 'px';
	function togglePushy() {
		body.toggleClass(pushyActiveClass);
		pushy2.toggleClass(pushyClass);
		container.toggleClass(containerClass);
		push.toggleClass(pushClass);
	}
	function openPushyFallback() {
		body.addClass(pushyActiveClass);
		pushy2.animate({
			right: '0px'
		}, menuSpeed);
		container.animate({
			right: menuWidth2
		}, menuSpeed);
		push.animate({
			right: menuWidth2
		}, menuSpeed);
	}
	function closePushyFallback() {
		body.removeClass(pushyActiveClass);
		pushy2.animate({
			right: '-' + menuWidth2
		}, menuSpeed);
		container.animate({
			right: '0px'
		}, menuSpeed);
		push.animate({
			right: '0px'
		}, menuSpeed);
	}
	cssTransforms3d = (function csstransforms3d() {
		var el = document.createElement('p'),
		supported = false,
		transforms = {
			'webkitTransform': '-webkit-transform',
			'OTransform': '-o-transform',
			'msTransform': '-ms-transform',
			'MozTransform': '-moz-transform',
			'transform': 'transform'
		};
		document.body.insertBefore(el, null);
		for (var t in transforms) {
			if (el.style[t] !== undefined) {
				el.style[t] = 'translate3d(1px, 1px, 1px)';
				supported = window.getComputedStyle(el).getPropertyValue(transforms[t]);
			}
		}
		document.body.removeChild(el);
		return (supported !== undefined && supported.length > 0 && supported !== 'none');
	}) ();
	if (cssTransforms3d) {
		menuBtn2.click(function () {
			togglePushy();
		});
		siteOverlay.click(function () {
			togglePushy();
		});
	} else {
		pushy2.css({
			right: '-' + menuWidth2
		});
		container.css({
			'overflow-x': 'hidden'
		});
		var state = true;
		menuBtn2.click(function () {
			if (state) {
				openPushyFallback();
				state = false;
			} else {
				closePushyFallback();
				state = true;
			}
		});
		siteOverlay.click(function () {
			if (state) {
				openPushyFallback();
				state = false;
			} else {
				closePushyFallback();
				state = true;
			}
		});
	}
});
